resource vultr_kubernetes athens {
  region = var.cluster.region
  version = var.cluster.version
  label = var.cluster.label
  # BUG: only have this set when creating the resource for the first time
  # once the cluster is up, we should comment this out again
  # enable_firewall = true
  node_pools {
    node_quantity = 1
    plan      = var.cluster.pools["meta"].plan
    label     = var.admin_services.namespace
    min_nodes = var.cluster.pools["meta"].min
    max_nodes = var.cluster.pools["meta"].max
    # tag       = var.admin_services.namespace
  }
}

resource vultr_kubernetes_node_pools games {
  cluster_id = vultr_kubernetes.athens.id
  node_quantity = var.cluster.pools["games"].min
  plan      = var.cluster.pools["games"].plan
  label     = var.game_servers.namespace
  min_nodes = var.cluster.pools["games"].min
  max_nodes = var.cluster.pools["games"].max
  tag       = var.game_servers.namespace
}

output k8s_config {
  value = vultr_kubernetes.athens.kube_config
  sensitive = true
}


